org.encog.ml.data.buffer

## Class MemoryDataLoader

- java.lang.Object
- - org.encog.ml.data.buffer.MemoryDataLoader

-     public class MemoryDataLoader
      extends Object

  This class is used, together with a CODEC, load training data from some external file into an Encog memory-based training set.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryDataLoader(DataSetCODEC theCodec)` Construct a loader with the specified CODEC.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MLDataSet` | `external2Memory()` Convert an external file format, such as CSV, to an Encog memory training set.
    `DataSetCODEC` | `getCodec()`
    `BasicMLDataSet` | `getResult()`
    `StatusReportable` | `getStatus()`
    `void` | `setResult(BasicMLDataSet theResult)` Set the resulting dataset.
    `void` | `setStatus(StatusReportable theStatus)` Set the object that status will be reported to.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemoryDataLoader

          public MemoryDataLoader(DataSetCODEC theCodec)

      Construct a loader with the specified CODEC.
      Parameters:
        `theCodec` - The codec to use.

  - ### Method Detail

    - #### external2Memory

          public final MLDataSet external2Memory()

      Convert an external file format, such as CSV, to an Encog memory training set.
      Returns:
        The binary file to create.

    - #### getCodec

          public DataSetCODEC getCodec()

      Returns:
        The CODEC that is being used.

    - #### getResult

          public BasicMLDataSet getResult()

      Returns:
        The resuling dataset.

    - #### getStatus

          public StatusReportable getStatus()

      Returns:
        The object that status is reported to.

    - #### setResult

          public void setResult(BasicMLDataSet theResult)

      Set the resulting dataset.
      Parameters:
        `theResult` - The resulting dataset.

    - #### setStatus

          public void setStatus(StatusReportable theStatus)

      Set the object that status will be reported to.
      Parameters:
        `theStatus` - The object to report status to.

Copyright © 2014. All Rights Reserved.